/*****************************************************************************/
/* File name: InstanceFileInputStream.java                                   */
/* Purpose: to work with the file InputStream instances                      */
/*                                                                           */
/* Last modified: 26.06.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/* For the list of authors and contributors of the original C version        */
/* of the GNU tar see files AUTHORS and THANKS                               */
/*                                                                           */
/* This program is distributed in the hope that it will be useful, but       */
/* WITHOUT ANY WARRANTY; without even the implied warranty of                */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General */
/* Public License for more details.                                          */
/*                                                                           */
/* This software is distributed under the terms                              */
/* of the GNU General Public License as published                            */
/* by the Free Software Foundation; either version 2, or (at your option)    */
/* any later version.                                                        */
/* See file COPYING for your rights (GNU GPL)                                */
/*****************************************************************************/

package io;


import java.io.*;


public
class

InstanceFileInputStream

{
  private final static String RCSID =
"$Header: /d/NFS/io/RCS/InstanceFileInputStream.java,v 1.1 1999/06/27 02:08:18 vklimov Exp $";


  public
  InstanceFileInputStream() 
/*****************************************************************************/
/* Function name: InstanceFileInputStream                                    */
/* File name: InstanceFileInputStream.java                                   */
/* Purpose: constructor                                                      */
/* Parameters:                                                               */
/* Returns:                                                                  */
/* Last modified: 26.06.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*****************************************************************************/
    {
                                                /* InstanceFileInputStream */
/*---------------------------------------------------------------------------*/

    }
/*end of InstanceFileInputStream*/



  public
  static
  InputStream

  open( Filable file )
/*****************************************************************************/
/* Function name: open                                                       */
/* File name: InstanceFileInputStream.java                                   */
/* Purpose: to return an instance of the Readable object                     */
/*          representing a given file                                        */
/* Parameters: file                                                          */
/* Returns: the open InputStream object or                                   */
/*          null in case of an error                                         */
/* Last modified: 26.06.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*****************************************************************************/
    {
      InputStream fileInputStream = null;
                                                               /* open */
/*---------------------------------------------------------------------------*/

      if (file == null)
        return null;                                   /* return ! */
      else
        ;
    /*end of if*/

      fileInputStream =
        FileSystemExpert.openInputStream( file );

      return fileInputStream;

    }
/*end of open*/


}/*end of InstanceFileInputStream class*/

/*****************************************************************************/
/* End of file: InstanceFileInputStream.java                                 */
/*****************************************************************************/
