/*****************************************************************************/
/* File name: NamesFilesInputOutput.java                                     */
/* Purpose: to keep input and output file names                              */
/* Last modified: 12.08.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*                                                                           */
/* This program is distributed in the hope that it will be useful, but       */
/* WITHOUT ANY WARRANTY; without even the implied warranty of                */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General */
/* Public License for more details.                                          */
/*                                                                           */
/* This software is distributed under the terms                              */
/* of the GNU General Public License as published                            */
/* by the Free Software Foundation; either version 2, or (at your option)    */
/* any later version.                                                        */
/* See file COPYING for your rights (GNU GPL)                                */
/*****************************************************************************/


package io;

public
class

NamesFilesInputOutput

{

  private final static String RCSID =
"$Header: /d/NFS/io/RCS/NamesFilesInputOutput.java,v 1.1 1999/08/13 20:04:25 vklimov Exp $";

  private String inputFileName = null;
  private String outputFileName = null;


  public
  NamesFilesInputOutput( String inputFileName,
                         String outputFileName )
/*****************************************************************************/
/* Function name: NamesFilesInputOutput                                      */
/* File name: NamesFilesInputOutput.java                                     */
/* Purpose: constructor for the NamesFilesInputOutput object                 */
/* Parameters: inputFileName                                                 */
/*             outputFileName                                                */
/* Returns:                                                                  */
/* Last modified: 11.08.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*****************************************************************************/
    {
                                           /* NamesFilesInputOutput */
/*---------------------------------------------------------------------------*/

      this.inputFileName = inputFileName;
      this.outputFileName = outputFileName;

    }
/*end of NamesFilesInputOutput*/



  public
  String
  
  getInputFileName()
/*****************************************************************************/
/* Function name: getInputFileName                                           */
/* File name: NamesFilesInputOutput.java                                     */
/* Purpose: to return the name of the input file                             */
/* Parameters:                                                               */
/* Returns: the name                                                         */
/* Last modified: 11.08.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*****************************************************************************/
    {
                                                    /* getInputFileName */
/*---------------------------------------------------------------------------*/

      return inputFileName;

    }
/*end of getInputFileName*/


  public
  String
  
  getOutputFileName()
/*****************************************************************************/
/* Function name: getOutputFileName                                          */
/* File name: NamesFilesInputOutput.java                                     */
/* Purpose: to return the name of the output file                            */
/* Parameters:                                                               */
/* Returns: the name                                                         */
/* Last modified: 11.08.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*****************************************************************************/
    {
                                                    /* getOutputFileName */
/*---------------------------------------------------------------------------*/

      return outputFileName;

    }
/*end of getOutputFileName*/


  public
  String
  
  toString()
/*****************************************************************************/
/* Function name: toString                                                   */
/* File name: NamesFilesInputOutput.java                                     */
/* Purpose: to represent the object as a string                              */
/* Parameters:                                                               */
/* Returns: the string                                                       */
/* Last modified: 12.08.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*****************************************************************************/
    {
      String result;
                                                    /* toString */
/*---------------------------------------------------------------------------*/

      result = ((inputFileName==null) ?
                ("inputFileName==null") :
                ("inputFileName=" + inputFileName));
      result += ((outputFileName==null) ?
                (" outputFileName==null") :
                (" outputFileName=" + outputFileName));

      return result;

    }
/*end of toString*/


} /*end of class NamesFilesInputOutput */

/*****************************************************************************/
/* End of file: NamesFilesInputOutput.java                                   */
/*****************************************************************************/

