/*****************************************************************************/
/* File name: Readable.java                                                  */
/* Purpose: interface to read files                                          */
/*                                                                           */
/* Last modified: 26.06.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/* For the list of authors and contributors of the original C version        */
/* of the GNU tar see files AUTHORS and THANKS                               */
/*                                                                           */
/* This program is distributed in the hope that it will be useful, but       */
/* WITHOUT ANY WARRANTY; without even the implied warranty of                */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General */
/* Public License for more details.                                          */
/*                                                                           */
/* This software is distributed under the terms                              */
/* of the GNU General Public License as published                            */
/* by the Free Software Foundation; either version 2, or (at your option)    */
/* any later version.                                                        */
/* See file COPYING for your rights (GNU GPL)                                */
/*****************************************************************************/

package io;


import java.io.*;


public
interface

Readable
{

  /* $Header: /d/NFS/io/RCS/Readable.java,v 1.2 1999/06/27 01:28:24 vklimov Exp $ */


  public
  int

  read() throws IOException;


  public
  int

  read(byte b[],
           int off,
           int len) throws IOException;


  public
  long

  skip(long n) throws IOException;


  public
  int

  available() throws IOException;


  public
  void

  close() throws IOException;


  public
  void

  mark(int readlimit);


  public
  void

  reset() throws IOException;


  public
  boolean

  markSupported();


} /*end of Readable */

/*****************************************************************************/
/* End of file: Readable.java                                                */
/*****************************************************************************/
