/*****************************************************************************/
/* File name: Action.java                                                    */
/* Purpose: to keep an option and a corresponding flag for Jtar              */
/* Last modified: 11.08.99                                                   */
/* Author: Victor Klimov, 1998, 1999                                         */
/*                                                                           */
/* This program is distributed in the hope that it will be useful, but       */
/* WITHOUT ANY WARRANTY; without even the implied warranty of                */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General */
/* Public License for more details.                                          */
/*                                                                           */
/* This software is distributed under the terms                              */
/* of the GNU General Public License as published                            */
/* by the Free Software Foundation; either version 2, or (at your option)    */
/* any later version.                                                        */
/* See file COPYING for your rights (GNU GPL)                                */
/*****************************************************************************/

package jtar;

import java.io.*;
import java.util.*;

class

Action
          implements Serializable
{

  private final static String RCSID =
"$Header: /d/NFS/jtar/RCS/Action.java,v 1.4 1999/08/13 20:04:34 vklimov Exp $";


  public boolean flag;
  public char    option;


  Action()   /* empty constructor for inheritance */
  {
  }


  Action( char    option,
          boolean flag     )
/*****************************************************************************/
/* Function name: Action                                                     */
/* File name: Action.java                                                    */
/* Purpose: constructor for the Action object                                */
/* Parameters: option - 't', 'x', 'c' etc                                    */
/*             flag - corresponding flag                                     */
/* Returns:                                                                  */
/* Last modified: 09.09.98                                                   */
/* Author: Victor Klimov, 1998                                               */
/*****************************************************************************/
    {
                                            /* Action */
/*---------------------------------------------------------------------------*/

      this.option = option;
      this.flag = flag;

    }
/*end of Action*/


  boolean
  action( Vector commandLineOptionsVector,
          Header dummyTarHeader,
          BufferRead dummyReadBuffer,
          AllActions allActions            )
/*****************************************************************************/
/* Function name: action                                                     */
/* File name: Action.java                                                    */
/* Purpose: to perform the action, corresponding to this particular option   */
/* Parameters: commandLineOptionsVector - vector, containig strings          */
/*                                 of command line arguments to Jtar         */
/*             dummyTarHeader                                                */
/*             dummyReadBuffer                                               */
/*             allActions                                                    */
/* Returns: true - if everything is all right, false - otherwise             */
/* Last modified: 11.08.99                                                   */
/* Author: Victor Klimov, 1998, 1999                                         */
/*****************************************************************************/
    {
                                                            /* action */
/*---------------------------------------------------------------------------*/
      /* this is intentionally empty */
      /* the descendants have to implement the method */

      return true;

    }
/*end of action*/


} /*end of class Action */

/*****************************************************************************/
/* End of file: Action.java                                                  */
/*****************************************************************************/

