/*****************************************************************************/
/* File name: AllActions.java                                                */
/* Purpose: to keep flags and options for Jtar                               */
/* Last modified: 29.07.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*                                                                           */
/* This program is distributed in the hope that it will be useful, but       */
/* WITHOUT ANY WARRANTY; without even the implied warranty of                */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General */
/* Public License for more details.                                          */
/*                                                                           */
/* This software is distributed under the terms                              */
/* of the GNU General Public License as published                            */
/* by the Free Software Foundation; either version 2, or (at your option)    */
/* any later version.                                                        */
/* See file COPYING for your rights (GNU GPL)                                */
/*****************************************************************************/

package jtar;


import java.io.*;
import c.Stat;
import general.*;


final
public
class

AllActions

     implements jtar.Constants,
                general.Constants,
                Serializable

{

  private final static String RCSID =
"$Header: /d/NFS/jtar/RCS/AllActions.java,v 1.4 1999/07/30 12:48:55 vklimov Exp $";


  public ActionTable table  = null;
  public ActionCreate create  = null;
  public ActionExtract extract = null;
  public Action file = null;
  public Action gzip = null;
  public Action verbose = null;
  public Action incremental = null;

                                            /* for the time being */

  public boolean numericOwner = false;
  public boolean blockNumberOption = false;
  public long newerMtime = Long.MIN_VALUE;
  public boolean exclude = false;
  public boolean multiVolume = false;
  public boolean showOmittedDirs = true;
  public boolean interactive = false;
  public boolean absoluteNames = false;
  public boolean backup = false;
  public boolean toStdout = false;
  public boolean keepOldFiles = true;

  public String archiveName = null;
  public String currentFileName = null;
  public String currentLinkName = null;

  public int archiveFormat = DEFAULT_FORMAT;
  public int recordSize = DEFAULT_BLOCKING * BLOCKSIZE;

  public c.Stat currentStat = null;


  public

  AllActions()
/*****************************************************************************/
/* Function name: AllActions                                                 */
/* File name: AllActions.java                                                */
/* Purpose: constructor for AllActions                                       */
/* Parameters:                                                               */
/* Returns:                                                                  */
/* Last modified: 27.07.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*****************************************************************************/
   {
                                                       /* AllActions */
/*---------------------------------------------------------------------------*/


     currentStat = new c.Stat();
     table  = new
                          ActionTable(
                             COMMAND_LINE_OPTION_TABLE,false );
     create  = new
                          ActionCreate(
                             COMMAND_LINE_OPTION_CREATE,false );
     extract = new
                          ActionExtract(
                             COMMAND_LINE_OPTION_EXTRACT,false );
     file = new
                          Action(
                             COMMAND_LINE_OPTION_FILE,false );
     gzip = new
                          Action(
                             COMMAND_LINE_OPTION_GZIP,false );
     verbose = new
                          Action(
                             COMMAND_LINE_OPTION_VERBOSE,false );

     incremental = new
                          Action(
                             COMMAND_LINE_OPTION_INCREMENTAL,false );
   }
/*end of AllActions*/


} /*end of AllActions */

/*****************************************************************************/
/* End of file: AllActions.java                                              */
/*****************************************************************************/

