/*****************************************************************************/
/* File name: FhStatus.java                                                  */
/* Purpose: to represent file handle status - result returned by NFS mount   */
/* Last modified: 30.06.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*                                                                           */
/* This program is distributed in the hope that it will be useful, but       */
/* WITHOUT ANY WARRANTY; without even the implied warranty of                */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General */
/* Public License for more details.                                          */
/*                                                                           */
/* This software is distributed under the terms                              */
/* of the GNU General Public License as published                            */
/* by the Free Software Foundation; either version 2, or (at your option)    */
/* any later version.                                                        */
/* See file COPYING for your rights (GNU GPL)                                */
/*****************************************************************************/

package mount;



public
class

FhStatus
{

  private final static String RCSID = "$Header: /d/NFS/mount/RCS/FhStatus.java,v 1.3 1999/07/01 19:22:19 vklimov Exp $";

  public long status = 0;
  public Fhandle fhandle = null;


  public

  FhStatus()
/*****************************************************************************/
/* Function name: FhStatus                                                   */
/* File name: FhStatus.java                                                  */
/* Purpose: constructor for the FhStatus class                               */
/* Parameters:                                                               */
/* Returns:                                                                  */
/* Last modified: 16.06.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*****************************************************************************/
    {
                                                       /* FhStatus */
/*---------------------------------------------------------------------------*/

    }
/*end of FhStatus*/


  public
  String

  toString()
/*****************************************************************************/
/* Function name: toString                                                   */
/* File name: FhStatus.java                                                  */
/* Purpose: to represent this FhStatus object as a string                    */
/* Parameters:                                                               */
/* Returns: the string representation of the object                          */
/* Last modified: 30.06.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*****************************************************************************/
    {
      String result;
                                                       /* toString */
/*---------------------------------------------------------------------------*/

      result =
        "status=" +
        (new Long( status )).toString() +
        "\nfhandle=" +
        ( (fhandle != null ) ?
          fhandle.toString() :
         "fhandle is null"     );

      return result;

    }
/*end of toString*/


  public
  long

  getStatus()
/*****************************************************************************/
/* Function name: getStatus                                                  */
/* File name: FhStatus.java                                                  */
/* Purpose: to get the status of this FhStatus object                        */
/* Parameters:                                                               */
/* Returns: the status                                                       */
/* Last modified: 16.06.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*****************************************************************************/
    {
                                                         /* getStatus */
/*---------------------------------------------------------------------------*/

      return status;

    }
/*end of getStatus*/


} /* end of FhStatus class */

/*****************************************************************************/
/* End of file: FhStatus.java                                                */
/*****************************************************************************/
