/*****************************************************************************/
/* File name: DirectoryOperationResults.java                                 */
/* Purpose: to represent NFS directory operation OK results - the diropok    */
/*          structure in NFS                                                 */
/* Last modified: 25.06.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*                                                                           */
/* This program is distributed in the hope that it will be useful, but       */
/* WITHOUT ANY WARRANTY; without even the implied warranty of                */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General */
/* Public License for more details.                                          */
/*                                                                           */
/* This software is distributed under the terms                              */
/* of the GNU General Public License as published                            */
/* by the Free Software Foundation; either version 2, or (at your option)    */
/* any later version.                                                        */
/* See file COPYING for your rights (GNU GPL)                                */
/*****************************************************************************/

package nfs;

import mount.*;

public
class

DirectoryOperationResults
{

  private final static String RCSID =
"$Header: /d/NFS/nfs/RCS/DirectoryOperationResults.java,v 1.2 1999/06/25 20:06:38 vklimov Exp $";

  protected mount.Fhandle fileHandle = null;
  protected FAttributes fileAttributes = null;


  public

  DirectoryOperationResults()
/*****************************************************************************/
/* Function name: DirectoryOperationResults                                  */
/* File name: DirectoryOperationResults.java                                 */
/* Purpose: constructor for the DirectoryOperationResults class              */
/* Parameters:                                                               */
/* Returns:                                                                  */
/* Last modified: 25.06.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*****************************************************************************/
    {
                                          /* DirectoryOperationResults */
/*---------------------------------------------------------------------------*/

      fileHandle = new Fhandle();
      fileAttributes = new FAttributes();

    }
/*end of DirectoryOperationResults*/


  public
  void

  putItselfIntoRPCMessage( rpc.Message rpcMessage )
/*****************************************************************************/
/* Function name: putItselfIntoRPCMessage                                    */
/* File name: DirectoryOperationResults.java                                 */
/* Purpose: to put this DirectoryOperationResults object into a RPC message  */
/* Parameters: rpcMessage                                                    */
/* Returns:                                                                  */
/* Last modified: 25.06.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*****************************************************************************/
    {
                                              /* putItselfIntoRPCMessage */
/*---------------------------------------------------------------------------*/

      if ( (fileHandle == null) ||
           (fileAttributes == null)
         )
        return;                                        /* return ! */
      else
        ;
    /*end of if*/

      fileHandle.
        putItselfIntoRPCMessage(
          rpcMessage             );

      
      fileAttributes.
        putItselfIntoRPCMessage(
          rpcMessage             );

    }
/*end of putItselfIntoRPCMessage*/


  public
  boolean

  getItselfFromRPCMessage( rpc.Message rpcMessage )
/*****************************************************************************/
/* Function name: getItselfFromRPCMessage                                    */
/* File name: DirectoryOperationResults.java                                 */
/* Purpose: to get this DirectoryOperationResults object from a RPC message  */
/* Parameters: rpcMessage                                                    */
/* Returns: true - if got OK, false - otherwise                              */
/* Last modified: 25.06.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*****************************************************************************/
    {
      boolean result;
                                              /* getItselfFromRPCMessage */
/*---------------------------------------------------------------------------*/

      if ( (fileHandle == null) ||
           (fileAttributes == null)
         )
        return false;                                        /* return ! */
      else
        ;
    /*end of if*/

      result =
        fileHandle.
          getItselfFromRPCMessage(
            rpcMessage             );

      if ( ! result ) return false;                         /* return ! */

      result =
        fileAttributes.
          getItselfFromRPCMessage(
            rpcMessage             );

      return result;

    }
/*end of getItselfFromRPCMessage*/


  public
  String

  toString()
/*****************************************************************************/
/* Function name: toString                                                   */
/* File name: DirectoryOperationResults.java                                 */
/* Purpose: to represent this DirectoryOperationResults object as a string   */
/* Parameters:                                                               */
/* Returns: the string representation of the object                          */
/* Last modified: 25.06.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*****************************************************************************/
    {
      String result = "";
                                                       /* toString */
/*---------------------------------------------------------------------------*/

      result += ( (fileHandle == null) ?
                  "fileHandle is null" :
                  (fileHandle.toString()) ) + "\n";

      result += ( (fileAttributes == null) ?
                  "fileAttributes is null" :
                  (fileAttributes.toString()) ) + "\n";

      return result;

    }
/*end of toString*/


} /* end of DirectoryOperationResults class */

/*****************************************************************************/
/* End of file: DirectoryOperationResults.java                               */
/*****************************************************************************/
