/*****************************************************************************/
/* File name: FileReadReply.java                                             */
/* Purpose: to represent results from file read                              */
/* Last modified: 27.06.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*                                                                           */
/* This program is distributed in the hope that it will be useful, but       */
/* WITHOUT ANY WARRANTY; without even the implied warranty of                */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General */
/* Public License for more details.                                          */
/*                                                                           */
/* This software is distributed under the terms                              */
/* of the GNU General Public License as published                            */
/* by the Free Software Foundation; either version 2, or (at your option)    */
/* any later version.                                                        */
/* See file COPYING for your rights (GNU GPL)                                */
/*****************************************************************************/

package nfs;

import mount.*;


public
class

FileReadReply
{

  private final static String RCSID =
"$Header: /d/NFS/nfs/RCS/FileReadReply.java,v 1.1 1999/06/27 23:19:31 vklimov Exp $";

  protected long nBytesRead = 0;
  protected long status = 0;
  protected FAttributes fileAttributes = null;


  public

  FileReadReply()
/*****************************************************************************/
/* Function name: FileReadReply                                              */
/* File name: FileReadReply.java                                             */
/* Purpose: constructor for the FileReadReply class                          */
/* Parameters:                                                               */
/* Returns:                                                                  */
/* Last modified: 27.06.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*****************************************************************************/
    {
                                                    /* FileReadReply */
/*---------------------------------------------------------------------------*/

      fileAttributes = new FAttributes();

    }
/*end of FileReadReply*/


  public
  String

  toString()
/*****************************************************************************/
/* Function name: toString                                                   */
/* File name: FileReadReply.java                                             */
/* Purpose: to represent this FileReadReply object as a string               */
/* Parameters:                                                               */
/* Returns: the string representation of the object                          */
/* Last modified: 25.06.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*****************************************************************************/
    {
      String result = "";
                                                       /* toString */
/*---------------------------------------------------------------------------*/

      result += "status=" + status +
                " nBytesRead=" + nBytesRead + "\n";

      result += ( (fileAttributes == null) ?
                  "fileAttributes is null" :
                  (fileAttributes.toString()) ) + "\n";

      return result;

    }
/*end of toString*/


} /* end of FileReadReply class */

/*****************************************************************************/
/* End of file: FileReadReply.java                                           */
/*****************************************************************************/
