/*****************************************************************************/
/* File name: ProtocolHashtable.java                                         */
/* Purpose: to keep mapping objects according to the protocol key            */
/*                                                                           */
/* Last modified: 04.06.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*                                                                           */
/* This program is distributed in the hope that it will be useful, but       */
/* WITHOUT ANY WARRANTY; without even the implied warranty of                */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General */
/* Public License for more details.                                          */
/*                                                                           */
/* This software is distributed under the terms                              */
/* of the GNU General Public License as published                            */
/* by the Free Software Foundation; either version 2, or (at your option)    */
/* any later version.                                                        */
/* See file COPYING for your rights (GNU GPL)                                */
/*****************************************************************************/


package pm;


import java.util.*;


public
class

ProtocolHashtable
                  extends Hashtable
{

  private final static String RCSID = "$Header: /d/NFS/pm/RCS/ProtocolHashtable.java,v 1.1 1999/06/05 16:00:27 vklimov Exp $";


  public

  ProtocolHashtable()
/*****************************************************************************/
/* Function name: ProtocolHashtable                                          */
/* File name: ProtocolHashtable.java                                         */
/* Purpose: constructor for the ProtocolHashtable class                      */
/* Parameters:                                                               */
/* Returns:                                                                  */
/* Last modified: 04.06.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*****************************************************************************/
    {
                                                       /* ProtocolHashtable */
/*---------------------------------------------------------------------------*/

    }
/*end of ProtocolHashtable*/


  public
  int

  hashCode()
/*****************************************************************************/
/* Function name: hashCode                                                   */
/* File name: ProtocolHashtable.java                                         */
/* Purpose: to return hash code (based on mapping's protocolNumber)          */
/*          for this object                                                  */
/* Parameters:                                                               */
/* Returns: the hash code                                                    */
/* Last modified: 04.06.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*****************************************************************************/
    {
      int result;
      Long l;
      Enumeration elements;
      Mapping mapping;
                                                           /* hashCode */
/*---------------------------------------------------------------------------*/

      if (isEmpty())
        return Constants.HASHCODE_FOR_EMPTY;                /* return ! */
      else
        ;
    /*end of if*/

      elements = elements();

      mapping = (Mapping) elements.nextElement();

      l = new Long( mapping.protocolNumber );
      result = l.hashCode();

      return result;

    }
/*end of hashCode*/


  public
  boolean

  equals( ProtocolHashtable protocolHashtable )
/*****************************************************************************/
/* Function name: equals                                                     */
/* File name: ProtocolHashtable.java                                         */
/* Purpose: to check whether this hashtable is equal to the argument         */
/*          the hashtables are equal if they contain mappings with the same  */
/*          protocolNumber                                                   */
/* Parameters: protocolHashtable                                             */
/* Returns: true - if the hashtables are equal, false - otherwise            */
/* Last modified: 04.06.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*****************************************************************************/
    {
      int result;
      Long l;
      Enumeration elements;
      Enumeration elementsArgument;
      Mapping mapping;
      Mapping mappingArgument;
                                                           /* equals */
/*---------------------------------------------------------------------------*/

      if (isEmpty() &&
          protocolHashtable.isEmpty() )
        return true;                                   /* return ! */
      else
        ;
    /*end of if*/

      elements = elements();
      elementsArgument = protocolHashtable.elements();

      mapping = (Mapping) elements.nextElement();
      mappingArgument = (Mapping) elementsArgument.nextElement();

      if (mapping.protocolNumber ==
          mappingArgument.protocolNumber)
        return true;
      else
        return false;
    /*end of if*/

    }
/*end of equals*/


} /* end of ProtocolHashtable class */

/*****************************************************************************/
/* End of file: ProtocolHashtable.java                                       */
/*****************************************************************************/
