/*****************************************************************************/
/* File name: VersionHashtable.java                                          */
/* Purpose: to keep ProtocolHashtable objects according                      */
/*          to the versionNumber key of their mappings                       */
/*                                                                           */
/* Last modified: 04.06.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*                                                                           */
/* This program is distributed in the hope that it will be useful, but       */
/* WITHOUT ANY WARRANTY; without even the implied warranty of                */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General */
/* Public License for more details.                                          */
/*                                                                           */
/* This software is distributed under the terms                              */
/* of the GNU General Public License as published                            */
/* by the Free Software Foundation; either version 2, or (at your option)    */
/* any later version.                                                        */
/* See file COPYING for your rights (GNU GPL)                                */
/*****************************************************************************/


package pm;


import java.util.*;


public
class

VersionHashtable
                  extends Hashtable
{

  private final static String RCSID = "$Header: /d/NFS/pm/RCS/VersionHashtable.java,v 1.1 1999/06/05 16:00:24 vklimov Exp $";


  public

  VersionHashtable()
/*****************************************************************************/
/* Function name: VersionHashtable                                           */
/* File name: VersionHashtable.java                                          */
/* Purpose: constructor for the VersionHashtable class                       */
/* Parameters:                                                               */
/* Returns:                                                                  */
/* Last modified: 04.06.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*****************************************************************************/
    {
                                                    /* VersionHashtable */
/*---------------------------------------------------------------------------*/

    }
/*end of VersionHashtable*/


  public
  int

  hashCode()
/*****************************************************************************/
/* Function name: hashCode                                                   */
/* File name: VersionHashtable.java                                          */
/* Purpose: to return hash code (based on versionNumber of mapping contained */
/*          in ProtocolHashtable object)                                     */
/* Parameters:                                                               */
/* Returns: the hash code                                                    */
/* Last modified: 04.06.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*****************************************************************************/
    {
      int result;
      Long l;
      Enumeration elements;
      Enumeration elementsProtocolHashtable;
      ProtocolHashtable protocolHashtable;
      Mapping mapping;
                                                           /* hashCode */
/*---------------------------------------------------------------------------*/

      if (isEmpty())
        return Constants.HASHCODE_FOR_EMPTY;                /* return ! */
      else
        ;
    /*end of if*/

      elements = elements();

      protocolHashtable = (ProtocolHashtable) elements.nextElement();
      elementsProtocolHashtable = protocolHashtable.elements();

      mapping = (Mapping) elementsProtocolHashtable.nextElement();

      l = new Long( mapping.versionNumber );
      result = l.hashCode();

      return result;

    }
/*end of hashCode*/


  public
  boolean

  equals( VersionHashtable versionHashtable )
/*****************************************************************************/
/* Function name: equals                                                     */
/* File name: VersionHashtable.java                                          */
/* Purpose: to check whether this hashtable is equal to the argument         */
/*          the hashtables are equal if they contain ProtocolHashtable       */
/*          objects, that have mappings with the same versionNumber          */
/* Parameters: versionHashtable                                              */
/* Returns: true - if the hashtables are equal, false - otherwise            */
/* Last modified: 04.06.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*****************************************************************************/
    {
      int result;
      Long l;
      Enumeration elements;
      Enumeration elementsArgument;
      ProtocolHashtable protocolHashtable;
      ProtocolHashtable protocolHashtableArgument;
      Mapping mapping;
      Mapping mappingArgument;
                                                           /* equals */
/*---------------------------------------------------------------------------*/

      if (isEmpty() &&
          versionHashtable.isEmpty() )
        return true;                                   /* return ! */
      else
        ;
    /*end of if*/

      elements = elements();
      elementsArgument = versionHashtable.elements();

      protocolHashtable = (ProtocolHashtable)
        elements.nextElement();
      protocolHashtableArgument = (ProtocolHashtable)
        elementsArgument.nextElement();

      elements = protocolHashtable.elements();
      elementsArgument = protocolHashtableArgument.elements();

      mapping = (Mapping) elements.nextElement();
      mappingArgument = (Mapping) elementsArgument.nextElement();

      if (mapping.versionNumber ==
          mappingArgument.versionNumber)
        return true;
      else
        return false;
    /*end of if*/

    }
/*end of equals*/


} /* end of VersionHashtable class */

/*****************************************************************************/
/* End of file: VersionHashtable.java                                        */
/*****************************************************************************/
