/*****************************************************************************/
/* File name: OpaqueAuthentication.java                                      */
/* Purpose: to opaque authentication field as defined in RPC                 */
/*                                                                           */
/* Last modified: 31.05.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*                                                                           */
/* This program is distributed in the hope that it will be useful, but       */
/* WITHOUT ANY WARRANTY; without even the implied warranty of                */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General */
/* Public License for more details.                                          */
/*                                                                           */
/* This software is distributed under the terms                              */
/* of the GNU General Public License as published                            */
/* by the Free Software Foundation; either version 2, or (at your option)    */
/* any later version.                                                        */
/* See file COPYING for your rights (GNU GPL)                                */
/*****************************************************************************/

package rpc;


import java.util.*;
import xdr.*;


public
class

OpaqueAuthentication
{

  private final static String RCSID = "$Header: /d/NFS/rpc/RCS/OpaqueAuthentication.java,v 1.1 1999/06/03 17:33:36 vklimov Exp $";

  private long flavor = 0;
  private VariableLengthOpaque variableLengthOpaque = null;


  public

  OpaqueAuthentication()
/*****************************************************************************/
/* Function name: OpaqueAuthentication                                       */
/* File name: OpaqueAuthentication.java                                      */
/* Purpose: constructor for the OpaqueAuthentication class                   */
/* Parameters:                                                               */
/* Returns:                                                                  */
/* Last modified: 31.05.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*****************************************************************************/
    {
                                             /* OpaqueAuthentication */
/*---------------------------------------------------------------------------*/

    }
/*end of OpaqueAuthentication*/


  public

  OpaqueAuthentication( long flavor,
                        VariableLengthOpaque variableLengthOpaque )
/*****************************************************************************/
/* Function name: OpaqueAuthentication                                       */
/* File name: OpaqueAuthentication.java                                      */
/* Purpose: constructor for the OpaqueAuthentication class                   */
/*          the bytes vector of capacity length will be created              */
/* Parameters: flavor                                                        */
/*             variableLengthOpaque - as defined in XDR                      */
/* Returns:                                                                  */
/* Last modified: 31.05.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*****************************************************************************/
    {
                                             /* OpaqueAuthentication */
/*---------------------------------------------------------------------------*/

      this.flavor = flavor;
      this.variableLengthOpaque = variableLengthOpaque;

    }
/*end of OpaqueAuthentication*/


  public
  String

  toString()
/*****************************************************************************/
/* Function name: toString                                                   */
/* File name: OpaqueAuthentication.java                                      */
/* Purpose: to represent the OpaqueAuthentication object as a string         */
/* Parameters:                                                               */
/* Returns: the string representation of the object                          */
/* Last modified: 31.05.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*****************************************************************************/
    {
      String result;
                                                      /* toString */
/*---------------------------------------------------------------------------*/

      result = "flavor=" +
        flavor +
        "\nvariableLengthOpaque=\n" +
        variableLengthOpaque.toString();

      return result;

    }
/*end of toString*/


} /* end of OpaqueAuthentication class */

/*****************************************************************************/
/* End of file: OpaqueAuthentication.java                                    */
/*****************************************************************************/
