/*****************************************************************************/
/* File name: ParserResponderReturnArguments.java                            */
/* Purpose: to wrap arguments to the ParserResponder                         */
/* Last modified: 09.06.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*                                                                           */
/* This program is distributed in the hope that it will be useful, but       */
/* WITHOUT ANY WARRANTY; without even the implied warranty of                */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General */
/* Public License for more details.                                          */
/*                                                                           */
/* This software is distributed under the terms                              */
/* of the GNU General Public License as published                            */
/* by the Free Software Foundation; either version 2, or (at your option)    */
/* any later version.                                                        */
/* See file COPYING for your rights (GNU GPL)                                */
/*****************************************************************************/

package rpc;

import java.net.*;
import java.io.*;


public
class

ParserResponderReturnArguments
{

  private final static String RCSID = "$Header: /d/NFS/rpc/RCS/ParserResponderReturnArguments.java,v 1.3 1999/06/09 14:57:09 vklimov Exp $";

  public DatagramPacket replyUDPPacket = null;
  public long transactionId = 0;
  public long messageType = 0;
  public Message inRPCMessage = null;
  public long remoteProgramNumber = 0;
  public long remoteProgramVersion = 0;
  public long remoteProcedureNumber = 0;
  public byte[] byteArrayContainingParametersToRemoteProcedure = null;
                                                       /* REPLY */
  public boolean rpcVersionMismatch = false;
  public long replyStat = 0;
  public long acceptStat = 0;
  public long rejectStat = 0;
  public long lowestProgramVersionSupportedByServer = 0;
  public long highestProgramVersionSupportedByServer = 0;
  public long lowestProtocolVersionSupportedByServer = 0;
  public long highestProtocolVersionSupportedByServer = 0;
  public long authenticationStat = 0;


  public

  ParserResponderReturnArguments()
/*****************************************************************************/
/* Function name: ParserResponderReturnArguments                             */
/* File name: ParserResponderReturnArguments.java                            */
/* Purpose: constructor for the ParserResponderReturnArguments class         */
/* Parameters:                                                               */
/* Returns:                                                                  */
/* Last modified: 02.06.99                                                   */
/* Author: Victor Klimov, 1999                                               */
/*****************************************************************************/
    {
                                       /* ParserResponderReturnArguments */
/*---------------------------------------------------------------------------*/

    }
/*end of ParserResponderReturnArguments*/

} /* end of ParserResponderReturnArguments class */

/*****************************************************************************/
/* End of file: ParserResponderReturnArguments.java                          */
/*****************************************************************************/
